0

When the protocol was changed to Mumbai, I still used v16.0~rc1 and got errors such below

Mar 30 01:40:31.395 - validation: initializing protocol PtMumbaiiFFE...
Mar 30 01:40:31.519 - validator.block: block BMJzr4j2fUNXh4tb1npQZNikgswhN2RJiZp6DoMRbRT6NGKbVnC validated
Mar 30 01:40:31.519 - validator.block:   Request pushed on 2023-03-29T16:40:21.877-00:00, treated in 21.384ms, completed in 9.621s
Mar 30 01:40:31.712 - node.store: the protocol table was updated: protocol PtMumbaiiFFE (level 16) was
Mar 30 01:40:31.712 - node.store:   activated on block BMJzr4j2fUNXh4tb1npQZNikgswhN2RJiZp6DoMRbRT6NGKbVnC
Mar 30 01:40:31.712 - node.store:   (level 3268608)
Mar 30 01:40:31.733 - validator.chain: Update current head to BMJzr4j2fUNXh4tb1npQZNikgswhN2RJiZp6DoMRbRT6NGKbVnC
Mar 30 01:40:31.733 - validator.chain:   (level 3268608, timestamp 2023-03-29T16:39:59-00:00, fitness
Mar 30 01:40:31.733 - validator.chain:   02::0031e000::::ffffffff::00000000), changing branch
Mar 30 01:40:37.372 - validator.block: precheck of block BM1QtXxQ9AauM4fhmSE3b7Y6M1tAYgoKFQXhNVeGrvxSnZpe9tm failed,
Mar 30 01:40:37.372 - validator.block:   Request pushed on 2023-03-29T16:40:37.240-00:00, treated in 1.435ms, completed in 130ms:
Mar 30 01:40:37.372 - validator.block:   Invalid block BM1QtXxQ9Aau
Mar 30 01:40:37.372 - validator.block:     Failed to validate the economic-protocol content of the block. More details in the trace.
Failed to send event: Error:
                        Lwt.Resolution_loop.Canceled

Mar 30 01:40:37.383 - validator.peer: worker crashed [validator-peer]:
Mar 30 01:40:37.383 - validator.peer:   Error:
Mar 30 01:40:37.383 - validator.peer:     Invalid block BM1QtXxQ9Aau
Mar 30 01:40:37.383 - validator.peer:       Failed to validate the economic-protocol content of the block. More details in the trace.,
Mar 30 01:40:37.383 - validator.peer:     trace:
Mar 30 01:40:37.383 - validator.peer:     Inconsistent hash:
Mar 30 01:40:37.383 - validator.peer:       got: CoW7od7xUKYhnZGpyFGbEMLjzngyAQcTEzRgqYAJ2kfcNzASuLeN
Mar 30 01:40:37.383 - validator.peer:       expected: CoVgwBPqj4LndGGXKPMj2PyBLodG1kF7A92MZ36WHQYwUV874WZX
Mar 30 01:40:37.383 - validator.peer:       Invalid block BM1QtXxQ9Aau
Mar 30 01:40:37.383 - validator.peer:         Failed to validate the economic-protocol content of the block. More details in the trace.
Mar 30 01:40:37.383 - validator.peer: 
Mar 30 01:40:37.383 - validator.chain: disconnection of idrWmqahUtkPoXzKeKkuhpMw9sdpN5
Mar 30 01:40:37.389 - validator.block: precheck of block BM1QtXxQ9AauM4fhmSE3b7Y6M1tAYgoKFQXhNVeGrvxSnZpe9tm failed,
Mar 30 01:40:37.389 - validator.block:   Request pushed on 2023-03-29T16:40:37.240-00:00, treated in 142ms, completed in 6.867ms:
Mar 30 01:40:37.389 - validator.block:   Invalid block BM1QtXxQ9Aau
Mar 30 01:40:37.389 - validator.block:     Failed to validate the economic-protocol content of the block. More details in the trace.
Failed to send event: Error:
                        Lwt.Resolution_loop.Canceled
:

After restarting my node, got errors repeatedly such below

Mar 31 20:41:56.439 - validator.block: precheck of block BM1QtXxQ9AauM4fhmSE3b7Y6M1tAYgoKFQXhNVeGrvxSnZpe9tm failed,
Mar 31 20:41:56.439 - validator.block:   Request pushed on 2023-03-31T11:41:56.408-00:00, treated in 788us, completed in 29.346ms:
Mar 31 20:41:56.439 - validator.block:   Missing protocol (PtMumbaiiFFE) when validating the block BM1QtXxQ9Aau.
:

Maybe noticed that PtMumbaiiFFE is not the current protocol name of Mumbai: PtMumbai2Tms is correct

Do you know the possible way to fix my node?

I don't configure special settings except for history_mode=archive. Because of this, I don't want to recreate a node by importing a snapshot if I can

Tried

I tried ./octez-admin-client inject protocol PtMumbaiiFFE using the directory in store/protocols/ and it succeeded, but it didn't change the error

1 Answer 1

2

You should upgrade to v16.1.

v16.0-rc1 contains the old protocol Mumbaii which was replaced by Mumbai2 with an user-activated protocol override.

You will probably be able to restore your node without recreating the storage, but if you need to, there are archive tarballs available at https://xtz-shots.io

1
  • Just after getting this error, I upgraded my node to v16.1 but seemed to be late. I wonder if there is no way to fix my node other than to recreate or fetch it...
    – hsaito
    May 1, 2023 at 2:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.